
!packhdr tmp.dat "e:\encode2\upx -9 tmp.dat"

;SetCompressor ZLIB
SetCompressor LZMA
CRCCheck force
LicenseForceSelection checkbox
ShowInstDetails show
AllowSkipFiles off
SetOverwrite ifnewer


!define PRODUCT_NAME "OpenSSL support for OSCPMWin"
!define PRODUCT_VERSION "0.9.6k"
!define PRODUCT_VERSION_SIMPLE "0.9.6.0"
!define PRODUCT_PUBLISHER "Mario A. Valdez-Ramrez"
!define PRODUCT_WEB_SITE "http://www.mariovaldez.net/software/oscpmwin/"
!define PRODUCT_STARTMENU_REGVAL "NSIS:StartMenuDir"

!include "MUI.nsh"
!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_BITMAP "..\images\installhead.bmp"
!define MUI_WELCOMEFINISHPAGE_BITMAP "..\images\installstart.bmp"
!define MUI_COMPONENTSPAGE_CHECKBITMAP "${NSISDIR}\Contrib\Graphics\Checks\colorful.bmp"
!define MUI_ABORTWARNING
!define MUI_ICON "..\images\Applications.ico"
!define MUI_WELCOMEPAGE_TITLE_3LINES
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE "..\docs\openssl_license.txt"
!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_DIRECTORY
!define MUI_STARTMENUPAGE_DISABLE
!insertmacro MUI_PAGE_INSTFILES
!define MUI_FINISHPAGE_NOAUTOCLOSE
!define MUI_FINISHPAGE_TITLE_3LINES
!define MUI_FINISHPAGE_NOREBOOTSUPPORT
!insertmacro MUI_PAGE_FINISH
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "Spanish"
!insertmacro MUI_RESERVEFILE_LANGDLL
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

LangString DescSec1 ${LANG_ENGLISH} "OpenSSL library (required)"
LangString DescSec1 ${LANG_SPANISH} "Bibliotecas OpenSSL (requerida)"


Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "oscpmwin_ssl_${PRODUCT_VERSION}.exe"
InstallDir "$PROGRAMFILES\oscpmwin"
ShowInstDetails show

VIProductVersion "${PRODUCT_VERSION_SIMPLE}"
VIAddVersionKey "ProductName" "${PRODUCT_NAME} "
VIAddVersionKey "CompanyName" "${PRODUCT_PUBLISHER}"
VIAddVersionKey "LegalCopyright" " ${PRODUCT_PUBLISHER}"
VIAddVersionKey "FileDescription" "${PRODUCT_NAME}"
VIAddVersionKey "FileVersion" "${PRODUCT_VERSION}"
VIAddVersionKey "Comments" "${PRODUCT_WEB_SITE}"
VIAddVersionKey "ProductVersion" "${PRODUCT_VERSION}"
VIAddVersionKey "InternalName" "oscpmwin_ssl"
VIAddVersionKey "SpecialBuild" "Normal Release"




Section "!SSLLibraries" SEC01
  SectionIn RO
  SetOutPath "$INSTDIR"
  File "..\libeay32.dll"
  File "..\ssleay32.dll"
  File "..\docs\openssl_license.txt"
SectionEnd



!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "$(DescSec1)"
!insertmacro MUI_FUNCTION_DESCRIPTION_END


Function .onInit
  System::Call 'kernel32::CreateMutexA(i 0, i 0, t "oscpmwinsslmutex") i .r1 ?e'
  Pop $R0
  StrCmp $R0 0 +3
    MessageBox MB_OK "The ${PRODUCT_NAME} installer is already running."
    Abort
  !insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd



